#!/bin/sh -efu
# switches the installer to OEM mode

. install2-sh-functions

cmdline_has_arg oem || exit 0

# get OEM steps
for step in NET ROOT USER; do
	step_value="$(cmdline_get_arg OEM_$step)"
	case "$step_value" in
		""|no|post) export OEM_"$step"=;;
		pre|pre-post) export OEM_"$step"=save;;
		*) fatal "Unknown parameter OEM_$step=$step_value";;
	esac
done

# delete the stage3 steps that will be in alterator-setup
for step in ${OEM_NET:-installer-network} ${OEM_ROOT:-users-root} ${OEM_USER:-users-add}; do
	sed -i "/^$step$/d" /usr/share/install2/installer-steps
done

# add packages for installation
cat >> /var/lib/install3/lists/.base << EOF

# OEM packages
alterator-setup
installer-feature-alterator-setup-stage2
EOF
