#!/bin/sh -efu
# Setup initrd.mk for OEM, if oem_initrd in /proc/cmdline

. install2-sh-functions

cmdline_has_arg oem_initrd || exit 0

# get OEM initrd
if [ -d "$image_url" ]; then
	oem_initrd="file:$image_url/.disk/initrd.mk"
else
	oem_initrd="$image_url/.disk/initrd.mk"
fi

curl "$oem_initrd" | sed \
	-e '/propagator/d' \
	-e '/bootchain/d' \
	> "$destdir"/etc/initrd.mk.oem

# save original initrd.mk
mv "$destdir"/etc/initrd.mk{,.orig}

# replace initrd.mk with initrd.mk.oem
cp "$destdir"/etc/initrd.mk{.oem,}
