#!/bin/sh -efu
# Presets alterator-setup

. install2-sh-functions

cmdline_has_arg oem || exit 0

# get OEM steps
for step in NET ROOT USER; do
	step_value="$(cmdline_get_arg OEM_$step)"
	case "$step_value" in
		""|pre-post|post) export OEM_"$step"=add;;
		pre|no) export OEM_"$step"=;;
		*) fatal "Unknown parameter OEM_$step=$step_value";;
	esac
done

# alterator-setup steps
{
echo sysconfig
echo notes-license
echo datetime
[ -z "$OEM_NET" ] || echo net-eth
[ -z "$OEM_ROOT" ] || echo root
[ -z "$OEM_USER" ] || echo users
echo setup-finish
} > "$destdir"/etc/alterator-setup/steps
